<?php

namespace WapplerSystems\Meilisearch\System\Records\SystemCategory;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Timo Hund <timo.hund@dkd.de
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use WapplerSystems\Meilisearch\System\Records\AbstractRepository;

/**
 * Repository class for sys_category items of the TYPO3 system.
 *
 * @author Timo Hund <timo.hund@dkd.de>
 */
class SystemCategoryRepository extends AbstractRepository
{
    /**
     * @var string
     */
    protected $table = 'sys_category';

    /**
     * @param int $uid
     * @param string $limitFields
     * @return array
     */
    public function findOneByUid($uid = 0, $limitFields = '*')
    {
        return $this->getOneRowByUid($limitFields, $uid);
    }
}
