<?php

/** @noinspection PhpFullyQualifiedNameUsageInspection */
return [
    'frontend' => [
        'apache-meilisearch-for-typo3/page-indexer-fe-user-authenticator' => [
            'target' => \WapplerSystems\Meilisearch\Middleware\FrontendUserAuthenticator::class,
            'before' => ['apache-meilisearch-for-typo3/page-indexer-initialization']
        ],
        'apache-meilisearch-for-typo3/page-indexer-initialization' => [
            'target' => \WapplerSystems\Meilisearch\Middleware\PageIndexerInitialization::class,
            'before' => ['typo3/cms-frontend/tsfe'],
            'after' => ['typo3/cms-core/normalized-params-attribute']
        ],
        'apache-meilisearch-for-typo3/page-indexer-finisher' => [
            'target' => \WapplerSystems\Meilisearch\Middleware\PageIndexerFinisher::class,
            'after' => ['typo3/cms-frontend/content-length-headers']
        ]
    ]
];
