# Meilisearch for TYPO3 CMS

A TYPO3 extension that integrates the Meilisearch search server with TYPO3 CMS.

The extension has initially been developed by WapplerSystems. The version you find here is a version that does not contain all the features that have been implemented yet. These features can be obtained through add-ons for the extension.

In case you need access to the full feature set, please feel free to contact us for details.

Things we are working on or got working already include the following:

- Statistics
- An Indexing Queue to be independent from frontend rendering and adding content to Meilisearch as soon as an editor creates a content element in the backend
- Suggest / Autocomplete
- More Like This
- Several Reports
- Advanced faceting features including hierarchical facets
- Backend Module for Meilisearch administration
- Results Grouping
- Language Detection
- Crawling of External non-TYPO3 Websites
- more ...

We're open for [contributions](./CONTRIBUTING.md) !

Please find further information regarding Meilisearch and its related projects at the following links:

- https://github.com/WapplerSystems/meilisearch
- https://www.meilisearch.com/

To try out Meilisearch for TYPO3 visit [www.typo3-meilisearch.com](http://www.typo3-meilisearch.com) where we've set up a basic configuration.

## Documentation and Support

-   **Main Documentation:**

   https://docs.typo3.org/p/apache-meilisearch-for-typo3/meilisearch/master/en-us/Index.html


-   **Slack Channel:**

    https://typo3.slack.com/messages/ext-meilisearch/

    (request your invite for Slack here: https://forger.typo3.org/slack)


-   **Mailinglist:**

    http://lists.typo3.org/cgi-bin/mailman/listinfo/typo3-project-meilisearch

## <a name="Contributions"></a>Contributions

[You want to contribute and like to know how? Check our guidelines about how to contribute to EXT:meilisearch](./CONTRIBUTING.md)
